<?php

App::uses('PluginInstallShell', 'shells');

class EvSiteSettingsInstallShell extends PluginInstallShell
{
	public $uses = array(
		'EvSiteSettings.SiteSetting',
		'EvSiteSettings.SiteSettingCategory'
	);

	/**
	 * call parent run() This will auto run any migrations
	 *
	 * Use the run() method here to insert any content
	 */
	public function run()
	{
		parent::run();

		$this->SiteSettingCategory->save(
			array(
				'SiteSettingCategory' => array(
					'name' => 'General',
					'array_slug' => 'general'
				)
			)
		);

		$this->SiteSetting->saveMany(
			array(
				array(
					'name' => 'Administrator Email',
					'array_slug' => 'admin_email',
					'type' => 'email',
					'value' => 'admin@evoluted.net',
					'site_setting_category_id' => 1
				),
				array(
					'name' => 'Site Title',
					'array_slug' => 'site_title',
					'type' => 'string',
					'value' => 'Evoluted CMS',
					'site_setting_category_id' => 1
				)
			)
		);
	}
}
